Get Paginated Group Users

Get Paginated Group Users
Get users in group within organization.

Use this API instead:

  • /scim/v2/Users

Get users in group within organization. Optionally filtered by given firstName, lastName or email with 'contains' match. Optionally filter the users by using onlyDirectUsers with true to return only direct users and not return the users from nested groups.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client) ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/groups/{groupId}/users
COPY
Path Parameters
string
orgId
Required

orgId

string
groupId
Required

groupId

Query Parameters
integer
pageStart
Optional
Constraints: minimum: 1 default: 1

Specifies the index that the set of results will begin with.

integer
pageLimit
Optional
Constraints: minimum: 1 maximum: 128 default: 128

Specifies the maximum results per page for every call.

string
firstName
Optional

firstName

string
lastName
Optional

lastName

string
email
Optional

email

boolean
onlyDirectUsers
Optional

onlyDirectUsers


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedResponseBaseUser of type(s) */*
{
    "results": [
        {
            "username": "string",
            "firstName": "string",
            "lastName": "string",
            "domain": "string",
            "idpId": "string",
            "accessible": false,
            "acct": "string",
            "email": "string",
            "userId": "string"
        }
    ],
    "nextLink": "string",
    "prevLink": "string",
    "totalResults": 0
}

401

The user is not authorized to use the API.

Returns PagedResponseBaseUser of type(s) */*
{
    "results": [
        {
            "username": "string",
            "firstName": "string",
            "lastName": "string",
            "domain": "string",
            "idpId": "string",
            "accessible": false,
            "acct": "string",
            "email": "string",
            "userId": "string"
        }
    ],
    "nextLink": "string",
    "prevLink": "string",
    "totalResults": 0
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/orgs/{orgId}/groups/{groupId}/users